import { getRequestConfig } from 'next-intl/server';
import { Locale } from './types/locale';

export default getRequestConfig(async ({ locale }) => ({
    messages: (
        await (locale === Locale.en
            ? import('../messages/en.json')
            : import(`../messages/${locale}.json`))
    ).default
}));
